
From: "KAMBAROV, ZAUR" <kambarov@berkeley.edu>

In __xprt_lock_write() we check to see if `task' is NULL, but in other places
we just go and dereference it.

`task' shouldn't be NULL anyway, so remove this test.

This defect was found automatically by Coverity Prevent, a static analysis
tool.

Signed-off-by: Zaur Kambarov <zkambarov@coverity.com> 
Cc: Trond Myklebust <trond.myklebust@fys.uio.no>
Cc: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 net/sunrpc/xprt.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN net/sunrpc/xprt.c~coverity-sunrpc-xprt-task-null-check net/sunrpc/xprt.c
--- devel/net/sunrpc/xprt.c~coverity-sunrpc-xprt-task-null-check	2005-07-01 17:38:25.000000000 -0700
+++ devel-akpm/net/sunrpc/xprt.c	2005-07-01 17:38:44.000000000 -0700
@@ -145,8 +145,6 @@ __xprt_lock_write(struct rpc_xprt *xprt,
 	if (test_and_set_bit(XPRT_LOCKED, &xprt->sockstate)) {
 		if (task == xprt->snd_task)
 			return 1;
-		if (task == NULL)
-			return 0;
 		goto out_sleep;
 	}
 	if (xprt->nocong || __xprt_get_cong(xprt, task)) {
_
